Bug 173575 - Device nodes missing with latest udev
Device nodes missing with latest udev
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2005-11-18 03:50 EST by Mephisto
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: udev-075-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-23 06:22:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mephisto 2005-11-18 03:50:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051103 Fedora/1.5-0.5.0.rc1 Firefox/1.5

Description of problem:
After upgrading to 075-2 yesterday, i found my system unable to load X and a lot of other programs, and the problem appeared to be missing devices nodes in /dev. Not everything is missing, but most is, like audio devices, the whole /dev/input dir, serial ports, tv card, etc...

I don't know if this is udev related, cause i updated about 200 packages, but udev seems the most logical choice, so i put it here... I can't test with an older version, cause i can only find 075-2 and FC4 versions, and FC4 versions probably don't work anymore on rawhide.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install udev 075 (and possibly other packages)
2. Reboot the system

Actual Results:  A lot of device nodes are missing

Additional info:

I don't know if this is related, but i also get these error messages when loading udev:
/sbin/start_udev: line 220: /sys/bus/*/devices/*/uevent: No such file or directory
/sbin/start_udev: line 220: /sys/class/*/*/uevent: No such file or directory
/sbin/start_udev: line 220: /sys/block/*/uevent: No such file or directory
/sbin/start_udev: line 220: /sys/block/*/*/uevent: No such file or directory

Also, i'm running a 2.6.14 vanilla kernel.
Comment 1 Harald Hoyer 2005-11-18 03:56:41 EST
ah, ok, vanilla kernel... I have to make start_udev more flexible in this case.
Comment 2 Harald Hoyer 2005-11-21 03:34:03 EST
should be fixed with udev-075-3
Comment 3 Harald Hoyer 2005-11-21 07:15:03 EST
Could you please try the version from ftp://people.redhat.com/harald/udev/075-4/
Comment 4 Mephisto 2005-11-21 07:48:17 EST
I haven't tried 075-3, but I can confirm this to be fixed in 075-4. I don't get
any boot errors nor miss any device nodes with this version.
Comment 5 Jukka Ketelaars 2005-11-21 13:13:54 EST
075-4 also fixed this for me.

Note You need to log in before you can comment on or make changes to this bug.